Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class ASTParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.ParserException
                              org.codehaus.groovy.antlr.ASTParserException

    public class ASTParserException
    extends ParserException

Thrown when trying to parse the AST

Version:
  \$Revision: 7922 \$

Constructor Summary
`ASTParserException(ASTRuntimeException e)`
`ASTParserException(String message, ASTRuntimeException e)`

Method Summary
`AST` | `getAst()`

Methods inherited from class TokenException
getEndColumn

Methods inherited from class SyntaxException
getEndColumn, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ASTParserException

    public ASTParserException(ASTRuntimeException e)

### ASTParserException

    public ASTParserException(String message, ASTRuntimeException e)

Method Detail

### getAst

    public AST getAst()

Copyright © 2003-2010 The Codehaus. All rights reserved.